<?xml version="1.0"?>
<system name="Dornier DO228: Electrical">
	<channel name="Panel Lights">
		<!--	Sum Instrument Lights	-->
		<summer>
			<input>/controls/lighting/instrument-lights[0]</input>
			<input>/controls/lighting/instrument-lights[1]</input>
			<input>/controls/lighting/panel-lights[0]</input>
			<output>/controls/lighting/instr-lights-sum</output>
			<clipto>
				<min>0.001</min>
				<max>3.0</max>
			</clipto>
		</summer>
		
		<!--
			Property						controls
			/systems/electrical/lights/panel-lights[0]		Instrument Panels LED Light Bands
			/systems/electrical/lights/panel-lights[1]		Pedestal, Overhead, Switch and Circuit Breaker Panel Backlighting
			/systems/electrical/lights/instrument-lights[0]		Switch Panels Backlighting (Left Side of Instrument Panel)
			/systems/electrical/lights/instrument-lights[1]		Switch Panels Backlighting (Right Side of Instrument Panel)
		-->
		<fcs_function name="/systems/electrical/lights/panel-lights[0]">
			<function>
				<quotient>
					<product>
						<property>/systems/electrical/outputs/instrument-lights</property>
						<property>/controls/lighting/panel-lights[0]</property>
					</product>
					<product>
						<property>/controls/lighting/instr-lights-sum</property>
						<value>28</value>
					</product>
				</quotient>
			</function>
		</fcs_function>
		<pure_gain name="/systems/electrical/lights/panel-lights[1]">
			<input>/systems/electrical/outputs/console-panel-lights</input>
			<gain>0.0357</gain>	<!-- 1/28 -->
		</pure_gain>
		<fcs_function name="/systems/electrical/lights/instrument-lights[0]">
			<function>
				<quotient>
					<product>
						<property>/systems/electrical/outputs/instrument-lights</property>
						<property>/controls/lighting/instrument-lights[0]</property>
					</product>
					<product>
						<property>/controls/lighting/instr-lights-sum</property>
						<value>28</value>
					</product>
				</quotient>
			</function>
		</fcs_function>
		<fcs_function name="/systems/electrical/lights/instrument-lights[1]">
			<function>
				<quotient>
					<product>
						<property>/systems/electrical/outputs/instrument-lights</property>
						<property>/controls/lighting/instrument-lights[1]</property>
					</product>
					<product>
						<property>/controls/lighting/instr-lights-sum</property>
						<value>28</value>
					</product>
				</quotient>
			</function>
		</fcs_function>
		
	</channel>
</system>
